org.apache.cassandra.cql3.functions

## Class ScriptBasedUDF

- java.lang.Object
- - org.apache.cassandra.cql3.functions.AbstractFunction
  - - org.apache.cassandra.cql3.functions.UDFunction
    - - org.apache.cassandra.cql3.functions.ScriptBasedUDF

All Implemented Interfaces:
  AssignmentTestable, Function, ScalarFunction

    public class ScriptBasedUDF
    extends UDFunction

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.cassandra.cql3.AssignmentTestable

`AssignmentTestable.TestResult`

### Field Summary

### Fields inherited from class org.apache.cassandra.cql3.functions.UDFunction

`argDataTypes, argNames, body, calledOnNullInput, language, logger, returnDataType`

### Fields inherited from class org.apache.cassandra.cql3.functions.AbstractFunction

`argTypes, name, returnType`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.nio.ByteBuffer` `executeUserDefined(int protocolVersion, java.util.List<java.nio.ByteBuffer> parameters)`

### Methods inherited from class org.apache.cassandra.cql3.functions.UDFunction

`argNames, body, compose_boolean, compose_byte, compose_double, compose_float, compose_int, compose_long, compose_short, compose, create, createBrokenFunction, decompose, equals, execute, hashCode, isAggregate, isCallableWrtNullable, isCalledOnNullInput, isNative, language, userTypeUpdated`

### Methods inherited from class org.apache.cassandra.cql3.functions.AbstractFunction

`argTypes, getFunctions, hasReferenceTo, name, returnType, testAssignment, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.cassandra.cql3.functions.Function

`argTypes, getFunctions, hasReferenceTo, name, returnType`

### Methods inherited from interface org.apache.cassandra.cql3.AssignmentTestable

`testAssignment`

### Method Detail

#### executeUserDefined

    public java.nio.ByteBuffer executeUserDefined(int protocolVersion,
                                                  java.util.List<java.nio.ByteBuffer> parameters)
                                           throws InvalidRequestException

Specified by:
  `executeUserDefined` in class `UDFunction`
Throws:
  `InvalidRequestException`